build_tools: Fix download_externals to handle certified branches
authorGeorge Joseph <gjoseph@digium.com>
Mon, 28 Nov 2016 17:03:23 +0000 (10:03 -0700)
committerGeorge Joseph <gjoseph@digium.com>
Mon, 28 Nov 2016 17:09:48 +0000 (12:09 -0500)
download_externals wasn't handling the "certified/13.x" version
correctly.

Change-Id: I124d195bb117ca36fd7bf1150c630f3b474a9d9a

build_tools/download_externals

index 2bc357c..d2e2e4f 100755 (executable)
@@ -45,11 +45,11 @@ if [[ -z ${cache_dir} ]] ; then
 fi
 
 version=$(${ASTTOPDIR}/build_tools/make_version ${ASTTOPDIR})
-if [[ ! ${version} =~ ^(GIT-)?([^.-]+)[.-].* ]] ; then
+if [[ ! ${version} =~ ^(GIT-)?(certified/)?([^.-]+)[.-].* ]] ; then
        echo "${module_name}: Couldn't parse version ${version}"
        exit 1
 fi
-major_version=${BASH_REMATCH[2]}
+major_version=${BASH_REMATCH[3]}
 
 if [[ "${major_version}" == "master" ]] ; then
        echo "${module_name}: External module downloading is not available in the 'master' git branch.  Please disable in menuselect and download manually."